Bug 154805 - devel/readline update
Summary: devel/readline update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-15 18:50 UTC by Eitan Adler
Modified: 2011-03-04 06:00 UTC (History)
0 users

See Also:


Attachments
file.diff (315 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (315 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (320 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (332 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (315 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (327 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (314 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (308 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (331 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (312 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (319 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (334 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (986 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (311 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (307 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (315 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (307 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (314 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (319 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (315 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (331 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (307 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (335 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
file.diff (324 bytes, patch)
2011-02-15 18:50 UTC, Eitan Adler
no flags Details | Diff
update-readline.diff (12.41 KB, patch)
2011-02-15 19:00 UTC, Eitan Adler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eitan Adler freebsd_committer freebsd_triage 2011-02-15 18:50:07 UTC
devel/readline upstream released version 6.2 recently.
I am unable to test all the ports that depend upon readline so I am asking for an exp-run on the pass. If it passes then please commit the patch.
I am also asking for review from someone with a sparc64 machine (or an exp run) to determine if the sparc64 specific patch is still needed.

Fix: PORTNAME=	ecasound
 PORTVERSION=	2.7.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	http://ecasound.seul.org/download/

PORTNAME=	jackit
 PORTVERSION=	0.118.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio
 MASTER_SITES=	http://jackaudio.org/downloads/
 DISTNAME=	jack-audio-connection-kit-${PORTVERSION}
PORTNAME=	lash
 PORTVERSION=	0.5.4
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	audio
 MASTER_SITES=	http://download.savannah.gnu.org/releases/lash/

PORTNAME=	libsmf
 PORTVERSION=	1.3
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF

PORTNAME=	mrbayes
 PORTVERSION=	3.1.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	biology
 MASTER_SITES=	SF

PORTNAME=	gnucap
 PORTVERSION=	2008.06.08
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	cad
 MASTER_SITES=	http://www.gnucap.org/devel/ \
 		http://www.gnucap.org/devel/archive/
PORTNAME=	pal
 PORTVERSION=	0.3.4
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	deskutils
 MASTER_SITES=	SF/${PORTNAME}cal/${PORTNAME}/${PORTVERSION}
 EXTRACT_SUFX=	.tgz
PORTNAME=	cgdb
 PORTVERSION=	0.6.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}

PORTNAME=	gdb
 PORTVERSION=	7.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel
 MASTER_SITES=   ${MASTER_SITE_GNU:S,$,:gdb,}
 MASTER_SITE_SUBDIR=gdb/:gdb
PORTNAME=	hmake
 PORTVERSION=	3.14
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel haskell
 MASTER_SITES=	http://www.haskell.org/hmake/ \
 		ftp://ftp.cs.york.ac.uk/pub/haskell/hmake/ \
PORTNAME=	jtag
 PORTVERSION=	0.5.1
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel
 MASTER_SITES=	SF/openwince/${PORTNAME}/${PORTVERSION}

PORTNAME=	omake
 PORTVERSION=	0.9.8.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	http://omake.metaprl.org/downloads/
 DISTNAME=	omake-0.9.8.5-3
PORTNAME=	readline
-PORTVERSION=	6.1
+PORTVERSION=	6.2
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GNU} \
 		ftp://ftp.cwru.edu/pub/bash/
@@ -15,6 +15,8 @@
 MAINTAINER=	ports@eitanadler.com
 COMMENT=	A library for editing command lines as they are typed

+LICENCE=	GPLv3 # aww
+
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes

PORTNAME=	urjtag
 PORTVERSION=	0.10
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 MASTER_SITES=	SF

PORTNAME=	quftp
 PORTVERSION=	1.0.7
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	ftp
 MASTER_SITES=	SF

PORTNAME=	yafc
 PORTVERSION=	1.1.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	ftp
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}

PORTNAME=	clisp
 PORTVERSION=	2.49
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	lang lisp
 MASTER_SITES=	GNU/${PORTNAME}/release/${PORTVERSION}

PORTNAME=	mdk
 PORTVERSION=	1.2.1
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	lang gnome
 MASTER_SITES=	${MASTER_SITE_GNU:S/%SUBDIR%/${PORTNAME}\/v${PORTVERSION}/} \
 		SF
PORTNAME=	ohugs
 PORTVERSION=	0.5
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	lang haskell
 MASTER_SITES=	http://www.math.chalmers.se/~nordland/ohugs/
 DISTNAME=	${PORTNAME}-${PORTVERSION}.src
PORTNAME=	swi-pl
 PORTVERSION=	5.8.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	lang
 MASTER_SITES=	http://www.swi-prolog.org/download/stable/src/
 DISTNAME=	pl-${PORTVERSION}
PORTNAME=	abook
 PORTVERSION=	0.5.6
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	mail
 MASTER_SITES=	SF

PORTNAME=	eukleides
 PORTVERSION=	1.5.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	math
 MASTER_SITES=	http://www.eukleides.org/files/

PORTNAME=	wire
 PORTVERSION=	1.1.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	net
 MASTER_SITES=	http://mirror.mcx2.org/ \
 		${MASTER_SITE_LOCAL}
PORTNAME=	osiris
 PORTVERSION=	4.2.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	security
 MASTER_SITES=	http://osiris.shmoo.com/data/ \
 		http://redundancy.redundancy.org/mirror/


PORTNAME=	pdsh
 PORTVERSION=	2.23
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	sysutils
 MASTER_SITES=	GOOGLE_CODE--QQkkUJipu31iTEsNq0CbXThro5dhtDn9FMUxrD8CkVg72Dpb
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: audio/ecasound/Makefile
===================================================================
RCS file: /home/ncvs/ports/audio/ecasound/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- audio/ecasound/Makefile	4 Dec 2010 07:30:21 -0000	1.43
+++ audio/ecasound/Makefile	15 Feb 2011 18:17:55 -0000
@@ -7,7 +7,7 @@
Comment 1 Edwin Groothuis freebsd_committer 2011-02-15 18:50:19 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-15 18:50:24 UTC
Maintainer of devel/readline,

Please note that PR ports/154805 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154805

--
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-15 18:50:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-02-15 19:00:16 UTC
Woops. The first hunk of that patch was from a different PR.
Attached is a fixed patch.

--
Eitan Adler

http://five.sentenc.es/
Comment 5 Martin Wilke freebsd_committer 2011-02-15 22:51:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2011-02-22 02:55:51 UTC
State Changed
From-To: feedback->open

This is my port 


Comment 7 Eitan Adler freebsd_committer freebsd_triage 2011-02-22 02:55:51 UTC
Class Changed
From-To: change-request->maintainer-update

This is my port
Comment 8 Martin Wilke freebsd_committer 2011-03-04 05:57:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 9 dfilter service freebsd_committer 2011-03-04 05:57:45 UTC
miwi        2011-03-04 05:57:36 UTC

  FreeBSD ports repository

  Modified files:
    devel/readline       Makefile distinfo 
  Log:
  - Update to 6.2
  
  PR:             154805
  Submitted by:   Eitan Adler <lists@eitanadler.com> (maintainer)
  
  Revision  Changes    Path
  1.20      +2 -1      ports/devel/readline/Makefile
  1.12      +2 -3      ports/devel/readline/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"